NEXTAFTER(3)

NAME
nextafter, nextafterf, nextafterl, nexttoward, nexttowardf, nexttowardl - next representable value

SYNOPSIS
libm
#include <math.h>
double
nextafter(double x, double y);
float
nextafterf(float x, float y);
long double
nextafterl(long double x, long double y);
double
nexttoward(double x, long double y);
float
nexttowardf(float x, long double y);
long double
nexttowardl(long double x, long double y);

DESCRIPTION
These functions return the next machine representable number from x in direction y. If x equals y, these functions return y.

SEE ALSO
nearbyint(3)

STANDARDS
ieee754

HISTORY
The nextafter and nextafterf functions appeared in 4.3BSD and NetBSD 1.1, respectively.